package com.ruoyi.contract.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同管理对象 Contract
 *
 * @author ruoyi
 * @date 2024-01-23
 */
public class Contract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 日期 */
    @Excel(name = "日期")
    private String contractDate;
    private String[] contractDateRange;

    /** 合同号 */
    @Excel(name = "合同号")
    private String contractNo;

    /** 业务员编码 */
    @Excel(name = "业务员编码")
    private String contractSalesmanNo;

    /** 业务员 */
    @Excel(name = "业务员")
    private String contractSalesman;

    /** 客户*/
    @Excel(name = "客户")
    private String contractCustom;

    /** 合同金额 */
    @Excel(name = "合同金额")
    private String contractJine;

    /** 备注 */
    @Excel(name = "备注")
    private String contractRemark;

    public String getContractDate() {
        return contractDate;
    }

    public void setContractDate(String contractDate) {
        this.contractDate = contractDate;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getContractSalesman() {
        return contractSalesman;
    }

    public void setContractSalesman(String contractSalesman) {
        this.contractSalesman = contractSalesman;
    }

    public String getContractCustom() {
        return contractCustom;
    }

    public void setContractCustom(String contractCustom) {
        this.contractCustom = contractCustom;
    }

    public String getContractJine() {
        return contractJine;
    }

    public void setContractJine(String contractJine) {
        this.contractJine = contractJine;
    }

    public String getContractRemark() {
        return contractRemark;
    }

    public void setContractRemark(String contractRemark) {
        this.contractRemark = contractRemark;
    }

    public String getContractSalesmanNo() {
        return contractSalesmanNo;
    }

    public void setContractSalesmanNo(String contractSalesmanNo) {
        this.contractSalesmanNo = contractSalesmanNo;
    }

    public String[] getContractDateRange() {return contractDateRange;}

    public void setContractDateRange(String[] contractDateRange) {this.contractDateRange = contractDateRange;}
}
